sc::SCFormIO(3)

NAME
sc::SCFormIO -

This utility class is used to print only on node 0 and to provide attractive indentation of output.

SYNOPSIS

#include <formio.h>

  Static Public Member Functions
static std::ios & indent (std::ios &o)
static std::ios & decindent (std::ios &o)
static std::ios & incindent (std::ios &o)
static std::ios & skipnextindent (std::ios &o)
static void setverbose (std::ios &o, long v)
static long getverbose (std::ios &o)
static void setindent (std::ios &o, long column)
static long getindent (std::ios &o)
static int set_printnode (int)
static int get_printnode ()
static void set_debug (int)
static int get_debug ()
static void init_mp (int me)
static int get_node ()
static void set_default_basename (const char *)
static const char * default_basename ()
static char * fileext_to_filename (const char *extension)
static void init_ostream (std::ostream &)
static std::ostream & license (std::ostream &)
static std::ostream & warranty (std::ostream &)
static std::ostream & copyright (std::ostream &)

Detailed Description

This utility class is used to print only on node 0 and to provide attractive indentation of output.

Author

Generated automatically by Doxygen for MPQC from the source code.